Subject: Re: What's Blooming...

From: [email-masked] (Martha Frost)
Date: Sun, 12 Mar 1995 13:09:40 PST

Here in Los Angeles foothills the grass is green and cloaking the hillsides. 
Our scrub oaks are blooming, oxalis shows its cheery face, the yellow 
contrasting with wild erigeron's tiny purple flowers, the wild cumcumber is 
wrapping around everything, native peony forming seed heads. The peaches, 
plums, apricots, narcissus, hardenbergia, blue gum are done, but iris is going 
strong. Camellia, Potato flower, pink jasmine, lemon, lime, orange, lavender, 
rosemary, stocks, 1 early calendula, blue hibicus, a few roses (Dainty Bess, 
Cherry Vanilla), some zonal geraniums, scented geraniums (Mabel Grey), purple 
cistus, some iceplant, and the elms. Weeping bottlebrush about to explode.
Regards, Martha
[email-masked]